## org.apache.naming.resources
Class FileDirContext.FileResource

    java.lang.Object
      |
      +--org.apache.naming.resources.Resource
            |
            +--org.apache.naming.resources.FileDirContext.FileResource

Enclosing class:
  FileDirContext

protected class FileDirContext.FileResource
extends Resource

This specialized resource implementation avoids opening the IputStream to the file right away (which would put a lock on the file).

Field Summary
`protected java.io.File` `file` Associated file object.
`protected long` `length` File length.

Fields inherited from class org.apache.naming.resources.Resource
`binaryContent, inputStream`

Constructor Summary
`FileDirContext.FileResource(java.io.File file)`

Method Summary
`java.io.InputStream` `streamContent()` Content accessor.

Methods inherited from class org.apache.naming.resources.Resource
`getContent, setContent, setContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected java.io.File file

  Associated file object.

### length

    protected long length

  File length.

Constructor Detail

### FileDirContext.FileResource

    public FileDirContext.FileResource(java.io.File file)

Method Detail

### streamContent

    public java.io.InputStream streamContent()
                                      throws java.io.IOException

  Content accessor.

  Overrides:
    `streamContent` in class `Resource`
  Returns:
    InputStream
    `java.io.IOException`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.